<form [formGroup]="loginForm" (ngSubmit)="onSubmitLogin()" class="px-4 py-3">
  <div class="mb-3">



    <div>
      <label for="validationDefaultUsername" class="form-label">Nom d'utilisateur</label>
      <div class="input-group">
        <span class="input-group-text" id="inputGroupPrepend2">@</span>
        <input [class.is-invalid]="loginForm.get('username').invalid &&
              (loginForm.get('username').dirty || 
               loginForm.get('username').touched) || isSubmitted" [class.is-valid]="loginForm.get('username').valid &&
               (loginForm.get('username').pristine || 
               loginForm.get('username').touched)" type="text" class="form-control" formControlName="username"
          id="validationDefaultUsername" aria-describedby="inputGroupPrepend2" required>
      </div>
      <div class="onload-form" [class.invalid-feedback]="loginForm.get('username').invalid &&
      (loginForm.get('username').dirty || 
       loginForm.get('username').touched)">
        renseignez un nom d'utilisateur
      </div>
    </div>

    <!-- <label for="exampleDropdownFormEmail1" class="form-label">nom d'utilisateur</label> -->

    <!--  <div class="input-group">
      <span class="input-group-text" id="inputGroupPrepend2">@</span>
      <input placeholder="sarah_connor" type="text" [class.is-invalid]="loginForm.get('username').invalid &&
          (loginForm.get('username').dirty || 
           loginForm.get('username').touched) || isSubmitted" [class.is-valid]="loginForm.get('username').valid &&
           (loginForm.get('username').pristine || 
            loginForm.get('username').touched)" class="form-control" formControlName="username"
        id="validationDefaultUsername" aria-describedby="inputGroupPrepend2" required>

      <div class="onload-form" [class.invalid-feedback]="loginForm.get('username').invalid &&
              (loginForm.get('username').dirty || 
               loginForm.get('username').touched)">
        renseignez un nom d'utilisateur
      </div>
    </div> -->
  </div>
  <div class="mb-3">
    <label for="exampleDropdownFormPassword1" class="form-label">Mot de passe</label>
    <input formControlName="password" type="password" [class.is-invalid]="loginForm.get('password').invalid &&
        (loginForm.get('password').dirty || 
         loginForm.get('password').touched) || isSubmitted" [class.is-valid]="loginForm.get('password').valid &&
         (loginForm.get('password').pristine || 
          loginForm.get('password').touched)" formControlName="password" class="form-control"
      id="exampleDropdownFormPassword1" placeholder="Mot de passe">

    <div class="onload-form" [class.invalid-feedback]="loginForm.get('password').invalid &&
        (loginForm.get('password').dirty || 
         loginForm.get('password').touched)">
      mot de passe obligatoire
    </div>
  </div>
  <div class="mb-3">
    <div class="form-check">
      <input type="checkbox" class="form-check-input" id="dropdownCheck">
      <label class="form-check-label" for="dropdownCheck">
        Remember me
      </label>
    </div>
  </div>

  <div class="login-group">
    <button style="margin-bottom: 0.8em;" type="submit" class="btn btn-outline-primary">Connexion</button>
    <a style="margin-left: 27px;" class="dropdown-item" [routerLink]="'inscription'">s'inscrire</a>

  </div>
  <div style="font-size: 1.159em;" *ngIf="message && message == 'Invalid credentials'"
    [class.invalid-feedback]="message == 'Invalid credentials'"> Mot de passe ou nom d'utilisateur incorrect
  </div>


</form>
<div class="dropdown-divider"></div>

<!-- <a class="dropdown-item" href="#">Forgot password?</a> -->